> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Deductions

> Generate a deduction confidence for each expense passed in



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/taxEngineExpress/findDeductions
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxEngineExpress/findDeductions:
    post:
      tags:
        - Tax Engine Express
      summary: Find Deductions
      description: Generate a deduction confidence for each expense passed in
      operationId: postFindDeductions
      requestBody:
        description: deduction finder parameters
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ApiFindDeductionsParamV2'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpenseTransactionResponse'
components:
  schemas:
    ApiFindDeductionsParamV2:
      required:
        - businessType
        - client_id
        - expenses
        - userId
      type: object
      properties:
        client_id:
          type: string
          description: The client_id of the Tight Partner
          example: fake_client_id
        businessType:
          type: string
          description: The business type to be used in calculating deduction confidence
          example: REAL_ESTATE_AGENT
          enum:
            - DRIVER
            - REAL_ESTATE_AGENT
            - CONSULTANT
            - SALES
            - FREELANCER
            - HOST
            - E_COMMERCE
            - INSURANCE_AGENT
            - RETAIL
            - OTHER
        useMileageDeduction:
          type: boolean
          description: >-
            True if using the standard mileage rate, as opposed to actual
            vehicle expenses
          example: true
        expenses:
          type: array
          description: Expense transaction array
          items:
            $ref: '#/components/schemas/ExpenseTransaction'
        userId:
          type: string
          description: >-
            An anonymized userId, used for tracking API usage. The Tight Partner
            decides how to anonymize it.
          example: fake_userId
      xml:
        name: ApiFindDeductionsParamV2
    ExpenseTransactionResponse:
      required:
        - categoryId
        - vendorName
      type: object
      properties:
        id:
          type: string
          description: >-
            The Partner's internal ID of the expense transaction. This will be
            roundtripped in the response, so that the Partner can easily
            identify each transaction.
          example: '1'
        vendorName:
          type: string
          description: The vendor name of the expense transaction
          example: Acme
        categoryId:
          type: string
          description: Plaid's category_id for the expense transaction (e.g. '13005023')
          example: '13005023'
        amount:
          type: number
          description: The amount of the expense transaction
          example: 100.02
        hurdlrTaxCategory:
          type: string
          description: >-
            The Tight Tax Category for the expense transaction. The endpoint
            will populate this field for you if not populated.
          example: DEDUCTIBLE_MEALS_AND_ENTERTAINMENT
        date:
          type: string
          description: >-
            The date of the transaction. If not populated, the current year will
            be used.
          format: date
        confidence:
          type: string
          description: >-
            The Deduction Confidence of the expense transaction. The
            /findDeductions endpoint will populate this field for you.
          enum:
            - LIKELY
            - QUESTIONABLE
            - UNLIKELY
        deductionAmount:
          type: number
          description: >-
            The Deduction Amount of the expense transaction. The /findDeductions
            endpoint will populate this field for you.
          example: 50
        taxCategorySchedC1040DisplayName:
          type: string
          description: >-
            The Form 1040 Schedule C display name for the expense transaction.
            The /findDeductions endpoint will populate this field for you.
          example: Deductible Meals and Entertainment
        taxCategorySchedC1040LineNumber:
          type: string
          description: >-
            The Form 1040 Schedule C line number for the expense transaction.
            The /findDeductions endpoint will populate this field for you.
          example: 24b
    ExpenseTransaction:
      required:
        - categoryId
        - vendorName
      type: object
      properties:
        id:
          type: string
          description: >-
            The Partner's internal ID of the expense transaction. This will be
            roundtripped in the response, so that the Partner can easily
            identify each transaction.
          example: '1'
        vendorName:
          type: string
          description: The vendor name of the expense transaction
          example: Acme
        categoryId:
          type: string
          description: Plaid's category_id for the expense transaction (e.g. '13005023')
          example: '13005023'
        amount:
          type: number
          description: The amount of the expense transaction
          example: 100.02
        hurdlrTaxCategory:
          type: string
          description: >-
            The Tight Tax Category for the expense transaction. The endpoint
            will populate this field for you if not populated.
          example: DEDUCTIBLE_MEALS_AND_ENTERTAINMENT
        date:
          type: string
          description: >-
            The date of the transaction. If not populated, the current year will
            be used.
          format: date
      description: Expense transaction array
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````